org.red5.io.utils

## Class DOM2Writer

- java.lang.Object
- - org.red5.io.utils.DOM2Writer

    public class DOM2Writer
    extends Object

This class is a utility to serialize a DOM node as XML. This class uses the `DOM Level 2` APIs. The main difference between this class and DOMWriter is that this class generates and prints out namespace declarations.

Author:
  Matthew J. Duftler (duftler@us.ibm.com), Joseph Kesselman

### Constructor Summary

Constructors
Constructor and Description
`DOM2Writer()`

### Method Summary

Methods
`static void` `serializeAsXML(Node node, Writer writer)` Serialize this node into the writer as XML.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DOM2Writer

    public DOM2Writer()

### Method Detail

#### serializeAsXML

    public static void serializeAsXML(Node node,
                      Writer writer)

Serialize this node into the writer as XML.

Parameters:
  `writer` - Writer object
  `node` - DOM node